# Getting started

Our custom API can be used by any platform. It's easy enough to get started. Grab some credentials by creating a custom api channel in your account.

#### Production

{% embed url="<https://api.cottoncast.com>" %}

{% embed url="<https://brands.cottoncast.com>" %}

We use a system of API endpoints, webhooks for near-realtime updates and javascript to create a seamless experience for your customers.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cottoncast.com/api-reference/custom.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
